## pyqwt3d 0.1.7~cvs20090625

=== Doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MKHOWTO := $(HOME)/CVS/PyQwt/BUILD/Python-2.5.1/Doc/tools/mkhowto
+MKHOWTO := $(HOME)/CVS/PyQwt/BUILD/Python-2.5.2/Doc/tools/mkhowto
 
 SOURCES := \
 	pyqwt3d/configure.help \
