=== debian/changelog ===
pyqwt3d (0.1.7~cvs20090625-12build1) trusty; urgency=medium

  * No-change rebuild against sip 4.15.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Mar 2014 15:05:57 +0400

pyqwt3d (0.1.7~cvs20090625-12) unstable; urgency=medium

  * Binary rebuild, no change. Fixes segmentation fault.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 02 Jan 2014 17:42:23 +0100

pyqwt3d (0.1.7~cvs20090625-11) unstable; urgency=low

  * Removing -lz from configure and zlib1g-dev dependency
  * Removing -lGLU from configure (Closes: #676500)
  * Bump standards version to 3.9.4
  * Add binary dependency on python-qwt5-qt4

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 18 May 2013 22:18:47 +0200

pyqwt3d (0.1.7~cvs20090625-10) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * Add missing build-depends on zlib1g-dev to fix FTBFS (Closes: #70879)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 May 2013 15:51:17 -0400

pyqwt3d (0.1.7~cvs20090625-9) unstable; urgency=low

  [ Jakub Wilk ]
  * Add epoch to python-numpy version in Build-Depends.

  [ Gudjon I. Gudjonsson ]
  * Bump standards version to 3.9.3
  * Add -lGLU to configure.py command line

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 13 May 2012 09:58:59 +0200

pyqwt3d (0.1.7~cvs20090625-8) unstable; urgency=low

  * Add dependency on python-numpy (Closes: #641795)
  * Add build-arch and indep targets

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 15 Nov 2011 06:51:06 +0100

pyqwt3d (0.1.7~cvs20090625-7) unstable; urgency=low

  * Switch to dh_python2 (Closes: #634863)
  * Bump standards version to 3.9.2
  * Upgraded dependencies
  * Add X-Python-Version
  * Change (C) to © in copyright file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 14 Aug 2011 20:21:54 +0200

pyqwt3d (0.1.7~cvs20090625-6) unstable; urgency=low

  * Remove dependency on python-qt-dev

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 25 Mar 2011 09:34:10 +0100

pyqwt3d (0.1.7~cvs20090625-5) unstable; urgency=low

  * Remove qt3 support (Closes: #604372)
  * Switch from dpatch to quilt. Rewrite all patches
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 26 Feb 2011 22:12:06 +0100

pyqwt3d (0.1.7~cvs20090625-4) unstable; urgency=low

  * Fix sip version (Closes: #567227)
  * Bump standards version to 3.8.4
  * Add patch 04_fix_sip4.10 to fix compilation with sip4.10
  * Add misc depends to python-qwt3d-doc
  * Removed pyqt version fix

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 07 Feb 2010 18:06:19 +0100

pyqwt3d (0.1.7~cvs20090625-3) unstable; urgency=low

  * Reubild in order to change binary dependencies from
    libqwtplot3d-qt{3,4} to libqwtplot3d-qt{3,4}-0
    according to name change in qwtplot3d package

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 22 Nov 2009 23:57:36 +0100

pyqwt3d (0.1.7~cvs20090625-2) unstable; urgency=low

  * Change sip4 dependencies to >=4.9
  * Add binary dependency on python-sip4 >=4.9
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Nov 2009 12:54:42 +0100

pyqwt3d (0.1.7~cvs20090625-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New CVS version
    - Builds from source (Closes: #527662)
  * Add patch 03_fix_const_char
  * Upgrade build dependencies to sip4 (4.8.1)
  * Bump Standards-Version to 3.8.2 (no changes needed)
  * Hardcode DEB_UPSTREAM_VERSION, change in next release

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Bernd Zeimetz ]
  * Replace python-central by python-support to follow the change in
    python-qt4. This would not be an issue if python-central would
    create namespace packages properly. We should not need to
    change the build-dependency on python-qt4 as python-support should
    handle it for all versions in a sane way.
  * Depend on python-qtX-gl larger or equal than the version the package
    was built against.
  * Bump Standards-Version to 3.8.1, no changes needed.

  [ Piotr Ożarowski ]
  * Add get-orig-source rule
  * Prepare for Python 2.6: dh_install now recognizes files in
    /usr/local/*/dist-packages/ as well
  * Add preinst maintainer scipts in -qt3 and -qt4 packages

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 27 Jun 2009 16:18:13 +0200

pyqwt3d (0.1.6-2) unstable; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * Add dependency on libqt4-opengl-dev (Closes: #482233)
  * Bump Standards-Version to 3.7.3 (no changes needed)

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 28 May 2008 00:06:00 +0200

pyqwt3d (0.1.6-1) unstable; urgency=low

  * New upstream release
  * Needs libqwtplot3d (>=0.2.7+svn191) that includes patches from Gerard.
  * Added some minor notes to the copyright file.
  * Added a patch to fix ezplot.py and set its ownership to 644.
  * Homepage field added
  * Add python-qt{3,4}-gl to python-qwt3d-qt{3,4}'s Depends and python-numpy
    to Recommends
  * Build-depend on python-sip4-dev >= 4.7.1-1 (closes: #442971)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 30 Sep 2007 12:47:35 +0200

pyqwt3d (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #413355)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 14 Jun 2007 22:49:54 +0200
