=== debian/control ===
Source: pyqwt3d
Section: python
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.6-3),
 python-sip-dev, python-numpy (>= 1:1.0.2), libqt4-opengl-dev,
 python-qt4-dev (>= 4.8.3-3), python-qt4 (>= 4.8.3-3), python-qt4-gl (>= 4.5.1),
 libqwtplot3d-qt4-dev
Homepage: http://pyqwt.sourceforge.net/
Standards-Version: 3.9.4
X-Python-Version: >= 2.3
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyqwt3d/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyqwt3d/trunk/

Package: python-qwt3d-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sip:Depends},
 python-qt4-gl, python-numpy, python-qwt5-qt4
Description: Python bindings of the QwtPlot3D library
 PyQwt3D is a set of Python bindings for the QwtPlot3D C++ class
 library which extends the Qt framework with widgets to visualize
 3-dimensional data.
 .
 This package contains the Qt4 Python bindings

Package: python-qwt3d-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for the Python-qwt3d library
 PyQwt3D is a set of Python bindings for the QwtPlot3D C++ class
 library which extends the Qt framework with widgets to visualize
 3-dimensional data. This package contains documentation and
 examples for both Qt3 and Qt4. The  examples show how easy it is
 to make a 3D plot and how to save a 3D plot to an image or an
 (E)PS/PDF file.
