=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pyqwt/PyQwt3D-(.*)\.tar\.gz debian uupdate
