=== debian/changelog ===
pyqwt3d (0.1.8-5build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:14 +0100

pyqwt3d (0.1.8-5build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:42:26 +0000

pyqwt3d (0.1.8-5) unstable; urgency=medium

  * Add patch for fixing FTBFS with sip >= 4.19.14 (Closes: #924733)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 18 Mar 2019 06:55:14 +0100

pyqwt3d (0.1.8-4) unstable; urgency=medium

  * Add -Wno-narrowing to OpenGL makefile, fixes FTBFS.
    Thanks to Christian Seiler (Closes: #918680)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 09 Jan 2019 06:55:28 +0100

pyqwt3d (0.1.8-3) unstable; urgency=medium

  * Remove hardcoding of qt_inc_dir with 01_configure patch,
    fixes FTBFS (Closes: #916293)
  * Bump standards version to 4.3.0, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 07 Jan 2019 13:42:59 +0100

pyqwt3d (0.1.8-2) unstable; urgency=medium

  * Add support for all python3 versions
  * Add conflicts/replaces obsolete python-qwt3d-qt4
  * Fix watch file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 16 Oct 2018 21:09:55 +0200

pyqwt3d (0.1.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Gudjon I. Gudjonsson ]
  * New upstream source (Closes: #812138)
  * Bump standards version to 4.2.1
  * Add python3-qwt3d-qt5 package
  * Bump compat to 11
  * Remove Qt4/python2 version (Closes: #699032, #875116)
  * Add Qt5/python3 version
  * Remove get-orig-source from rules
  * Update watch file to point to new upstream
  * Add dependencies on qt5 and pyqt5 packages

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 14 Sep 2018 22:04:21 +0200

pyqwt3d (0.1.7~cvs20090625-13) unstable; urgency=medium

  * Update patch 04_fix_sip4.10.patch to fix compilation (Closes: #751057)
  * Bump standards version to 3.9.5, no changes

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 30 Jun 2014 07:51:06 +0000
